Page MenuHomePhabricator

Run full constraint check when saving a statement
Closed, ResolvedPublic

Description

Hopefully, this should give us some chance that by the time the WDQS updater fetches constraint violations after an edit, new constraint check results are also available.

Open question: do we also use the results to update all violations on the whole entity? Would probably be useful.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.May 15 2018, 2:07 PM
Lucas_Werkmeister_WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2018, 2:07 PM
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.

Change 441008 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Run full constraint check when saving a statement

https://gerrit.wikimedia.org/r/441008

Change 441008 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Run full constraint check when saving a statement

https://gerrit.wikimedia.org/r/441008

Lydia_Pintscher closed this task as Resolved.Jun 27 2018, 10:11 AM
Lydia_Pintscher moved this task from Test (Verification) to Done on the Wikidata-Campsite board.
Vvjjkkii renamed this task from Run full constraint check when saving a statement to bxcaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jonas as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Jonas; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from bxcaaaaaaa to Run full constraint check when saving a statement.Jul 2 2018, 5:18 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Jonas.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Jonas.